@import "@/styles/variables";

.datasets-container {
    grid-column: 1 / -1;
    display: grid;
    row-gap: 2rem;
    grid-template-areas:
        "resultline"
        "datasets"
        "navigation";
}

.datasets-list {
    display: grid;
    grid-template-columns: 1fr;
    gap: 1rem;

    .shadow-wrapper {
        @include card-shadow;
    }

    .button-holder {
        display: flex;
        flex-wrap: wrap;
        justify-content: space-between;
        padding: 1rem 2rem;
        gap: 0.75rem;
        background: linear-gradient(224.93deg, rgb(150 170 183 / 5%) -0.12%, rgb(114 136 150 / 5%) 100%);
        border-top: 1px solid rgb(0 51 102 / 20%);

        @include desktop {
            gap: 1.5rem;
        }

        button {
            span {
                @include tablet {
                    display: none;
                }

                @include desktop-hd {
                    display: flex;
                }
            }
        }
    }
}

.datasets-navigation {
    grid-area: navigation;
    align-items: center;
    gap: 2rem;

    @include col;
}
